Win a copy of Kotlin in Action this week in the Kotlin forum!
  • Post Reply Bookmark Topic Watch Topic
  • New Topic

The selected wizard could not be started Reason:org eclipse jdt core / IJavaElement  RSS feed

 
Ganesan Shanmugaiah
Greenhorn
Posts: 1
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi
i am a newbie to Eclipse plugin , i have used org.eclipse.jdt.core package classes(IJavaElement,ICompliationUnit)
for my developement . In Standalone ( as a Eclipse application ) My code is working its generating required java files
I export my plugin project and created a plugin folder. And copied the folder into eclipse/plugins folder
Now if i open the Wizard. wizard opens with a alert saying
" The selected wizard could not be started Reason rg/eclipse/jdt/core/IJavaElement "
what will be problem
i am using eclipse3.1 and JDK 5.0

plugin.xml i have used the follwing requires tag
<requires>
<import plugin="org.eclipse.ui"/>
<import plugin="org.eclipse.core.runtime"/>
<import plugin="org.eclipse.core.resources"/>
<import plugin="org.eclipse.ui.ide"/>
<import plugin = "org.eclipse.jdt.ui"/>
<import plugin = "org.eclipse.jdt.core"/>
<import plugin = "org.eclipse.jdt.launching"/>
<import plugin = "org.eclipse.jdt.debug"/>
</requires>

Regards
Ganesan S
 
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!